# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class SequenceNumberProperty

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.calendar.SequenceNumberProperty

All Implemented Interfaces:
  Extension

    public class SequenceNumberProperty

extends ValueConstruct

GData schema extension describing sequence number of an event. The sequence number is a non-negative integer and is described in section 4.8.7.4 of RFC 2445. Currently this is only a read-only entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SequenceNumberProperty()`
`SequenceNumberProperty(java.lang.String value)`

Method Summary
`static ExtensionDescription` `getDefaultDescription()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceNumberProperty

    public SequenceNumberProperty()

### SequenceNumberProperty

    public SequenceNumberProperty(java.lang.String value)

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()